API SpecificationIntegrations
Create open-with launch
Creates a callback launch URL with a signed token for an integration open-with flow.
Authorization
OAuth2 upl:bucket:readAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:bucket:read
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
bucketRef?|
Reference to a bucket by ID or hostname
integrationId?string
Format
uuidcontentTypeId?string
The content type to use for this launch
Format
uuidfolderRef*|
Reference to a folder by ID or path
[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationsService/CreateOpenWithLaunch" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{ "folderRef": { "folderId": "string" } }'{
"launchUrl": "string",
"expiresAt": "2023-01-15T01:30:15.01Z"
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}